<?php
// array for JSON response
$response = array();

//check for required fields
if ( isset($_POST['CustomGroup2ID']) && isset($_POST['CustomGroup1ID']) 
	&& isset($_POST['AcNameID']) && isset($_POST['UpdatedDate']) 
	&& isset($_POST['ClientID']) && isset($_POST['ClientUserID']) 
	&& isset($_POST['NetCode']) && isset($_POST['SysCode']) ){

		$CustomGroup2ID = $_POST['CustomGroup2ID'];
		$CustomGroup1ID = $_POST['CustomGroup1ID'];
		$AcNameID = $_POST['AcNameID'];
		$ClientID = $_POST['ClientID'];
  		$ClientUserID = $_POST['ClientUserID'];
  		$SysCode = $_POST['SysCode'];
		$NetCode = $_POST['NetCode'];
		$UpdatedDate = $_POST['UpdatedDate'];

      // include db connect class
      require_once __DIR__ . '/../DBConnect.php';

			    $UpdatedDate = date("Y-m-d H:i:s");

          $sql = "UPDATE Account5customGroup2 SET CustomGroup2ID = '$CustomGroup2ID', CustomGroup1ID = '$CustomGroup1ID', AcNameID = '$AcNameID', ClientID = '$ClientID', ClientUserID = '$ClientUserID', NetCode = '$NetCode',
          SysCode = '$SysCode', UpdatedDate = '$UpdatedDate'  WHERE CustomGroup2ID = '$CustomGroup2ID' AND ClientID= '$ClientID' ";
          $params = array();
      		
      	$result=0;
		try{	
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			$result= $stmt->rowCount();
		}
		catch(PDOException $e){
			echo $sql . "<br>" . $e->getMessage();
		}
		if ( $result!= 0) {
				$rows_affected= "No information available.";
				$response["success"] = 1;
				$response["roweffected"] = $result;
				$response["UpdatedDate"] = $UpdatedDate;
				$response["message"] = "Update Successfully";
				// echoing JSON response
				echo json_encode($response);
		}else{
				$response["success"] = 0;
				$response["roweffected"] = $result;      
				$response["message"] = "Not updated row ".$result;
				// echoing JSON response
				echo json_encode($response);
		}
    }else{
      // success
      $response["success"] = 0;
      $response["message"] = "No Update";
      // echoing JSON response
      echo json_encode($response);
    }
?>
